import java.util.List;
import java.util.Arrays;
import java.util.ArrayList;

public class SparseArrayRunner 
{
    public static void main(String[] args) 
    {
			SparseArray it = new SparseArray( 6, 5 );
			it.addEntry( new SparseArrayEntry( 1, 4, 4) );
			it.addEntry( new SparseArrayEntry( 2, 0, 1) );
			it.addEntry( new SparseArrayEntry( 3, 1, -9) );
			it.addEntry( new SparseArrayEntry( 1, 1, 5) );
			it.addEntry( new SparseArrayEntry( 4, 1, 50) );
			
			System.out.println("SparseArray -- calling toString");
			System.out.println( it );	
				
			System.out.println("\n\nSparseArray -- calling getValueAt");
			System.out.println( it.getValueAt( 3, 1 ) );
			System.out.println( it.getValueAt( 3, 3 ) );	

			System.out.println("\n\nSparseArray -- calling removeCol");
			System.out.println( it );	
			it.removeCol( 1 );
			System.out.println( it );		
				
			/* OUTPUT
				 SparseArray -- calling toString
				[1 4 4, 2 0 1, 3 1 -9, 1 1 5, 4 1 50]  rows= 5   cols= 6
				
				
				SparseArray -- calling getValueAt
				-9
				0
				
				
				SparseArray -- calling removeCol
				[1 4 4, 2 0 1, 3 1 -9, 1 1 5, 4 1 50]  rows= 5   cols= 6
				[1 3 4, 2 0 1]  rows= 5   cols= 5
			*/
    }
}
